#! /bin/bash -xue

trap "cat run_tutorial.out" EXIT

echo run with unadapted grid       > run_tutorial.out
cp -f fun3d.nml-00 fun3d.nml      >> run_tutorial.out
mpirun -np 8 nodet_mpi --irest 0 >> run_tutorial.out

echo run 5 adaptation cycles      >> run_tutorial.out
for i in {1..5} ; do
  mpirun -np 8 nodet_mpi --adapt >> run_tutorial.out
  cp -f fun3d.nml-0${i} fun3d.nml >> run_tutorial.out
  mpirun -np 8 nodet_mpi         >> run_tutorial.out
done

echo make an iterative convergence plot
cat > export_png.mcr << 'EOF'
#!MC 1120
$!EXPORTSETUP IMAGEWIDTH = 850
$!EXPORTSETUP EXPORTFORMAT = PNG
$!EXPORT EXPORTREGION = ALLFRAMES
EOF
tec360 -quiet -b -p export_png.mcr -y ramp_hist.png ramp_hist.lay

echo make an animation of solution and mesh
cat > export_swf.mcr << 'EOF'
#!MC 1120
$!EXPORTSETUP EXPORTFORMAT = FLASH
$!EXPORTSETUP IMAGEWIDTH = 850
$!EXPORTSETUP ANIMATIONSPEED = 1
$!EXPORTSETUP FLASHIMAGETYPE = COLORTABLE
$!EXPORTSETUP EXPORTFNAME = 'ramp_flow.swf'
$!ANIMATEZONES 
  ZONEANIMATIONMODE = GROUPSTEPBYNUMBER
  START = 1
  END = 48
  SKIP = 8
  CREATEMOVIEFILE = YES
EOF
tec360 -quiet -b -p export_swf.mcr ramp_flow.lay

trap - EXIT
