#! /bin/bash -xue

export F_UFMTENDIAN=big

cat > export_png.mcr << 'EOF'
#!MC 1120
$!EXPORTSETUP IMAGEWIDTH = 1600
$!EXPORTSETUP EXPORTFORMAT = PNG
$!EXPORT EXPORTREGION = ALLFRAMES
EOF

trap "cat ../run_tutorial.out" EXIT

cd Flow

  cp -f box01_flow_fun3d.nml fun3d.nml

  mpirun -np 8 nodet_mpi \
    > ../run_tutorial.out

  tec360 -quiet -b -p ../export_png.mcr \
    -y box01_hist.png \
       box01_hist.lay \
       box01_hist.*t

  tec360 -quiet -b -p ../export_png.mcr \
    -y box01_tec_boundary.png \
       box01_tec_boundary.lay \
       box01_tec_boundary.*t

  tec360 -quiet -b -p ../export_png.mcr \
    -y box01_tec_sampling_geom1.png \
       box01_tec_sampling_geom1.lay \
       box01_tec_sampling_geom1.*t

cd ..

cd Adjoint

  cp -f ../Flow/box01_adjoint_fun3d.nml ../Flow/fun3d.nml 

  mpirun -np 8 dual_mpi \
    --outer_loop_krylov \
    >> ../run_tutorial.out

  tec360 -quiet -b -p ../export_png.mcr \
    -y box01_hist.png \
       box01_hist.lay \
       box01_hist.*t

  mpirun -np 8 dual_mpi \
    --adapt --rad \
    >> ../run_tutorial.out

cd ..

cd Flow

  cp -f box02_flow_fun3d.nml fun3d.nml

  mpirun -np 8 nodet_mpi \
    >> ../run_tutorial.out

  tec360 -quiet -b -p ../export_png.mcr \
    -y box02_hist.png \
       box02_hist.lay \
       box02_hist.*t

  tec360 -quiet -b -p ../export_png.mcr \
    -y box02_tec_boundary.png \
       box02_tec_boundary.lay \
       box02_tec_boundary.*t

cd ..

trap - EXIT
