#! /bin/bash -xue

export F_UFMTENDIAN=big

cat > export_png.mcr << 'EOF'
#!MC 1120
$!EXPORTSETUP IMAGEWIDTH = 850
$!EXPORTSETUP EXPORTFORMAT = PNG
$!EXPORT EXPORTREGION = ALLFRAMES
EOF

cat > export_swf.mcr << 'EOF'
#!MC 1200
$!EXPORTSETUP IMAGEWIDTH = 850
$!EXPORTSETUP EXPORTFORMAT = FLASH
$!ANIMATETIME CREATEMOVIEFILE = YES
EOF

trap "cat run_tutorial.out" EXIT

suggar++ wingstore.xml \
  > run_tutorial.out 2>&1

cp -f fun3d.nml-initial fun3d.nml

mpirun -np 8 nodet_mpi \
  >> run_tutorial.out 2>&1

tec360 -quiet -b -p export_png.mcr \
  -y cp.png \
     cp.lay

cp -f fun3d.nml-moving fun3d.nml

mpirun -np 8 nodet_mpi \
  >> run_tutorial.out 2>&1

tec360 -quiet -b -p export_png.mcr \
  -y cp_animation.png \
     cp_animation.lay

tec360 -quiet -b -p export_swf.mcr \
  -y cp_animation.swf \
     cp_animation.lay

tec360 -quiet -b -p export_png.mcr \
  -y mesh_animation.png \
     mesh_animation.lay

tec360 -quiet -b -p export_swf.mcr \
  -y mesh_animation.swf \
     mesh_animation.lay

trap - EXIT
